// Common Components
.cookiesjsr-btn {
  text-transform: none;
  font-size: var(--button-font-size);

  &:hover {
    transform: none;
  }

  &.important {
    font-weight: var(--bs-font-weight-bold);
  }
}

.cookiesjsr-links {
  // The default styles have a negative margin and padding on the li's to have spaces between them. This
  // is causing a horizontal scrollbar/overflow on .cookiesjsr-banner--info. Use flexbox gap instead.
  margin-inline: 0 !important;
  gap: 0.75em;

  // The link color (.cookiesjsr-banner a) are not colored according to the $cookies-font-color
  a {
    color: currentColor;
  }

  &.links--row {
    li {
      // Further fixing on the scrollbar/overflow bug on .cookiesjsr-banner--info: Dont create this grid by negative
      // margin + padding here use gap instead.
      padding-inline: 0 !important;

      &::before {
        // Remove the default devider dots
        display: none;
      }

      a {
        text-decoration: underline;

        // Fix focus color - especialy if the banner has inverted colors
        &:focus {
          color: var(--banner-font-color);
        }
      }
    }
  }
}

// Cookies-Banner
.cookiesjsr-banner {
  // Re-Add padding bottom, removed by the lib styles, we dont need to do this, because we use flex
  // gap, instead of negative margins + padding on child elements.
  padding-bottom: 1em;
  // The lib uses 100vw width what fails if a scrollbar is present (and not has a single benefit
  // against 100% in this case).
  width: 100%;
  // Use Flexbox gap instead margin/padding grids
  gap: var(--grid-gutter);
  // Lower font size
  font-size: var(--bs-font-size-md);
}

.cookiesjsr-banner--info {
  flex: 1 1 auto;
  padding: 0 !important;
  margin: 0 !important;

  @media (min-width: 60rem) {
    width: 80%;
  }
}

.cookiesjsr-banner--action {
  flex: 1 1 auto;
  // The module hides buttons depending on the device size, fix this and break the buttons instead
  flex-flow: row wrap;
  // Replace the error prone grid with the negative margin + padding on childs
  // in favor of flexbox gap.
  gap: var(--bs-spacer-1);
  justify-content: flex-end;
  margin-left: 0 !important;
  margin-right: 0 !important;
  @media (min-width: 768px) {
    width: min-content;
  }
  .cookiesjsr-btn {
    display: flex !important;
    flex: 1 1 33.333%;
    padding-inline: 2em;
    margin: 0 !important;
  }

  // Move the Settings-Button to bottom, to ensure, the legaly relevant buttons "Accept all" & "Deny All"
  // always have the same size (the first two buttons are layouted 50/50 next each other on larger devices).
  .cookiesjsr-settings {
    order: 99;
  }
}

// Cookies-Modal/Settings-Layer
.cookiesjsr-layer {
  box-shadow: 0 3px 115px rgba(0, 0, 0, 0.95);
}

.cookiesjsr-layer--actions {
  justify-content: flex-end;

  .cookiesjsr-btn {
    flex: 0 1 auto;
    width: auto;
    // Standardize button metrics in the settings layer - large horizontal paddings will cause in a cut off "accept all" button
    padding: 0 0.8em;
  }
}

.cookies-fallback {
  background-color: var(--bs-white);
  color: var(--bs-body-color);

  &--btn {
    text-transform: none;
    background-color: var(--bs-primary);
    color: var(--bs-white);
    padding: var(--button-padding);
  }
}

// Accessiblity
.cookiesjsr-btn,
.cookiesjsr-links.links--row li a {
  &:focus-visible {
    outline: 2px solid var(--btn-prime-border-color);
  }
}
